Skip to main content.
home | support | download

Back to List Archive

Re: [swish-e] Version 2.4.5 Error

From: Peter Karman <peter(at)not-real.peknet.com>
Date: Thu Sep 06 2007 - 18:59:34 GMT
On 09/06/2007 01:51 PM, Antonio Barrera wrote:
> Hello all,
> 
> I receive the following error when using the spider.pl to crawl a site.
> 
> Warning: Unknown header line: '<^A' from program
> /usr/local/lib/swish-e/spider.pl
> err: External program failed to return required headers Path-Name:
> 
> I'm using configuration files which worked fine on another server.  Albeit,
> the other server was running version 2.4.3 and was a Redhat install.  The
> new one is a MacOS X.
> 

the problem is in spider.pl, not the swish-e command line tool. You'll want to
turn on the verbose/debugging options in spider.pl to see which file is causing
the problem. Often the issue is with mismatched encodings and setting the
correct document length in the headers that are fed to swish-e. So if you are
seeing this error with a particular file, it is often the file parsed just
*before* it that is actually the problem, where it is claiming to be N bytes
long but is in fact M bytes long.

-- 
Peter Karman  .  peter(at)not-real.peknet.com  .  http://peknet.com/

_______________________________________________
Users mailing list
Users@lists.swish-e.org
http://lists.swish-e.org/listinfo/users
Received on Thu Sep 6 14:59:33 2007